Subject: Re: git daemon directory munging?

From: "H. Peter Anvin" <[email-masked]>
Date: Sun, 04 Jun 2006 16:10:32 -0700

Junio C Hamano wrote:
> 
> Adding host like HTTP does with Host: header makes sense but I
> think the accept side can usually tell what the port it accepted
> the connection to is.
> 

Yes, but that requires that each hostname has a separate IP address 
and/or port number (and SRV records in DNS, which not all platforms pay 
attention to.)

Now, if the hostname is passed in like this, it needs to be carefully 
canonicalized, and there needs to be provisions for wildcard matches.

	-hpa